Fast Hadamard Transform (FHT)
Signal Processing (SP) Module » Transforms

## Functions

template<class T>
Vec< T > | itpp::dht (const Vec< T > &v)
| Fast Hadamard Transform.
template<class T>
void | itpp::dht (const Vec< T > &vin, Vec< T > &vout)
| Fast Hadamard Transform.
template<class T>
void | itpp::self_dht (Vec< T > &v)
| Fast Hadamard Transform - memory efficient. Stores the result in `v`.
template<class T>
Vec< T > | itpp::dwht (const Vec< T > &v)
| Fast Walsh Hadamard Transform.
template<class T>
void | itpp::dwht (const Vec< T > &vin, Vec< T > &vout)
| Fast Walsh Hadamard Transform.
template<class T>
void | itpp::self_dwht (Vec< T > &v)
| Fast Walsh Hadamard Transform - memory efficient (result in `v`).
template<class T>
Mat< T > | itpp::dht2 (const Mat< T > &m)
| Fast 2D Hadamard Transform.
template<class T>
Mat< T > | itpp::dwht2 (const Mat< T > &m)
| Fast 2D Walsh Hadamard Transform.

## Detailed Description

## Function Documentation

## dht() [1/2]

template<class T>

Vec< T > itpp::dht | ( | const Vec< T > & | v | ) |

Fast Hadamard Transform.

Definition at line 243 of file transforms.h.

References dht(), and itpp::Vec< Num_T >::size().

Referenced by dht(), and dwht().

## dht() [2/2]

template<class T>

void itpp::dht | ( | const Vec< T > & | vin,
|  | Vec< T > & | vout )

Fast Hadamard Transform.

Definition at line 273 of file transforms.h.

References it_assert_debug, levels2bits(), itpp::Vec< Num_T >::set_size(), and itpp::Vec< Num_T >::size().

## self_dht()

template<class T>

void itpp::self_dht | ( | Vec< T > & | v | ) |

Fast Hadamard Transform - memory efficient. Stores the result in `v`.

Definition at line 307 of file transforms.h.

References it_assert_debug, levels2bits(), and itpp::Vec< Num_T >::size().

Referenced by dht2(), and self_dwht().

## dwht() [1/2]

template<class T>

Vec< T > itpp::dwht | ( | const Vec< T > & | v | ) |

Fast Walsh Hadamard Transform.

Definition at line 333 of file transforms.h.

References dwht(), and itpp::Vec< Num_T >::size().

Referenced by dwht().

## dwht() [2/2]

template<class T>

void itpp::dwht | ( | const Vec< T > & | vin,
|  | Vec< T > & | vout )

Fast Walsh Hadamard Transform.

Definition at line 341 of file transforms.h.

References bitrv(), and dht().

## self_dwht()

template<class T>

void itpp::self_dwht | ( | Vec< T > & | v | ) |

Fast Walsh Hadamard Transform - memory efficient (result in `v`).

Definition at line 349 of file transforms.h.

References bitrv(), and self_dht().

Referenced by dwht2().

## dht2()

template<class T>

Mat< T > itpp::dht2 | ( | const Mat< T > & | m | ) |

Fast 2D Hadamard Transform.

Definition at line 356 of file transforms.h.

References itpp::Mat< Num_T >::cols(), itpp::Mat< Num_T >::get_col(), itpp::Mat< Num_T >::get_row(), itpp::Mat< Num_T >::rows(), self_dht(), itpp::Mat< Num_T >::set_col(), itpp::Mat< Num_T >::set_row(), and transpose().

## dwht2()

template<class T>

Mat< T > itpp::dwht2 | ( | const Mat< T > & | m | ) |

Fast 2D Walsh Hadamard Transform.

Definition at line 376 of file transforms.h.

References itpp::Mat< Num_T >::cols(), itpp::Mat< Num_T >::get_col(), itpp::Mat< Num_T >::get_row(), itpp::Mat< Num_T >::rows(), self_dwht(), itpp::Mat< Num_T >::set_col(), itpp::Mat< Num_T >::set_row(), and transpose().

Generated on for IT++ by Doxygen 1.15.0